Get compatibility summary for an agent's latest manifest transition
curl --request GET \
--url https://api.decimal.ai/api/v1/agents/{agent_name}/compat-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.decimal.ai/api/v1/agents/{agent_name}/compat-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/agents/{agent_name}/compat-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}agents
Get compatibility summary for an agent's latest manifest transition
Get compatibility summary for an agent’s latest manifest transition.
Returns keep/repair/replay/drop counts, the manifest versions involved,
and the overall recommended action. Used by decimalai compat-check CLI.
If a stored CompatibilityReport exists, returns it. Otherwise (or if recompute=true), runs a fresh analysis.
GET
/
api
/
v1
/
agents
/
{agent_name}
/
compat-summary
Get compatibility summary for an agent's latest manifest transition
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Path Parameters
Query Parameters
Force a fresh compatibility analysis
Cookies
Response
Successful Response